> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get automation settings for ungrouped users and endpoints



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json get /v1/group/ungrouped-policy
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/group/ungrouped-policy:
    get:
      tags:
        - Group
      summary: Get automation settings for ungrouped users and endpoints
      operationId: GroupController_getUngroupedPolicies
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UngroupedAssetPoliciesDto'
      security:
        - bearer: []
components:
  schemas:
    UngroupedAssetPoliciesDto:
      type: object
      properties:
        user:
          $ref: '#/components/schemas/UngroupedAssetPolicyDto'
        endpoint:
          $ref: '#/components/schemas/UngroupedAssetPolicyDto'
      required:
        - user
        - endpoint
    UngroupedAssetPolicyDto:
      type: object
      properties:
        entityType:
          type: string
          enum:
            - user
            - endpoint
          x-extensible-enum: true
        chatOpsEnabled:
          type: boolean
        containmentEnabled:
          type: boolean
        sourceSystemUpdates:
          type: boolean
        alwaysNotify:
          type: boolean
      required:
        - entityType
        - chatOpsEnabled
        - containmentEnabled
        - sourceSystemUpdates
        - alwaysNotify
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Team API key sent as a Bearer token. Create a key in Wirespeed under
        Settings → Team. See
        https://docs.wirespeed.co/api-reference/authentication.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.